Agora Java API Reference for Android

Static Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.WarnCode Class Reference

## Static Public Attributes
static final int | WARN_PENDING = Constants.WARN_PENDING
static final int | WARN_INIT_VIDEO = Constants.WARN_INIT_VIDEO
static final int | WARN_INVALID_VIEW = Constants.WARN_INVALID_VIEW
static final int | WARN_NO_AVAILABLE_CHANNEL = Constants.WARN_NO_AVAILABLE_CHANNEL
static final int | WARN_LOOKUP_CHANNEL_TIMEOUT = Constants.WARN_LOOKUP_CHANNEL_TIMEOUT
static final int | WARN_LOOKUP_CHANNEL_REJECTED = Constants.WARN_LOOKUP_CHANNEL_REJECTED
static final int | WARN_OPEN_CHANNEL_TIMEOUT = Constants.WARN_OPEN_CHANNEL_TIMEOUT
static final int | WARN_OPEN_CHANNEL_REJECTED = Constants.WARN_OPEN_CHANNEL_REJECTED
static final int | WARN_OPEN_CHANNEL_INVALID_TICKET
static final int | WARN_OPEN_CHANNEL_TRY_NEXT_VOS
static final int | WARN_AUDIO_MIXING_OPEN_ERROR = Constants.WARN_AUDIO_MIXING_OPEN_ERROR
static final int | WARN_ADM_RUNTIME_PLAYOUT_WARNING
static final int | WARN_ADM_RUNTIME_RECORDING_WARNING
static final int | WARN_ADM_RECORD_AUDIO_SILENCE = Constants.WARN_ADM_RECORD_AUDIO_SILENCE
static final int | WARN_ADM_RECORD_IS_OCCUPIED = Constants.WARN_ADM_RECORD_IS_OCCUPIED
static final int | WARN_APM_HOWLING = Constants.WARN_APM_HOWLING

## Detailed Description

The warning code.

## Member Data Documentation

## ◆ WARN_PENDING

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_PENDING = Constants.WARN_PENDING
| static

20: The request is pending, usually due to some module not being ready, and the SDK postponed processing the request.

## ◆ WARN_INIT_VIDEO

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_INIT_VIDEO = Constants.WARN_INIT_VIDEO
| static

16: Fails to initialize the video function, possibly caused by lack of resources. The users cannot see the video while the voice communication is not affected.

## ◆ WARN_INVALID_VIEW

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_INVALID_VIEW = Constants.WARN_INVALID_VIEW
| static

8: The specified view is invalid. You need to specify a view when using the video function.

## ◆ WARN_NO_AVAILABLE_CHANNEL

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_NO_AVAILABLE_CHANNEL = Constants.WARN_NO_AVAILABLE_CHANNEL
| static

103: No channel resources are available. Maybe because the server cannot allocate any channel resource.

## ◆ WARN_LOOKUP_CHANNEL_TIMEOUT

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_LOOKUP_CHANNEL_TIMEOUT = Constants.WARN_LOOKUP_CHANNEL_TIMEOUT
| static

104: A timeout occurs when looking up the channel. When joining a channel, the SDK looks up the specified channel. The warning usually occurs when the network condition is too poor for the SDK to connect to the server.

## ◆ WARN_LOOKUP_CHANNEL_REJECTED

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_LOOKUP_CHANNEL_REJECTED = Constants.WARN_LOOKUP_CHANNEL_REJECTED
| static

105: The server rejects the request to look up the channel. The server cannot process this request or the request is illegal.

## ◆ WARN_OPEN_CHANNEL_TIMEOUT

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_OPEN_CHANNEL_TIMEOUT = Constants.WARN_OPEN_CHANNEL_TIMEOUT
| static

106: A timeout occurs when opening the channel. Once the specific channel is found, the SDK opens the channel. The warning usually occurs when the network condition is too poor for the SDK to connect to the server.

## ◆ WARN_OPEN_CHANNEL_REJECTED

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_OPEN_CHANNEL_REJECTED = Constants.WARN_OPEN_CHANNEL_REJECTED
| static

107: The server rejects the request to open the channel. The server cannot process this request or the request is illegal.

## ◆ WARN_OPEN_CHANNEL_INVALID_TICKET

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_OPEN_CHANNEL_INVALID_TICKET
| static

Initial value:
=
Constants.WARN_OPEN_CHANNEL_INVALID_TICKET

121: The ticket to open the channel is invalid.

## ◆ WARN_OPEN_CHANNEL_TRY_NEXT_VOS

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_OPEN_CHANNEL_TRY_NEXT_VOS
| static

Initial value:
=
Constants.WARN_OPEN_CHANNEL_TRY_NEXT_VOS

122: Try another server.

## ◆ WARN_AUDIO_MIXING_OPEN_ERROR

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_AUDIO_MIXING_OPEN_ERROR = Constants.WARN_AUDIO_MIXING_OPEN_ERROR
| static

701: An error occurs when opening the audio mixing file.

## ◆ WARN_ADM_RUNTIME_PLAYOUT_WARNING

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_ADM_RUNTIME_PLAYOUT_WARNING
| static

Initial value:
=
Constants.WARN_ADM_RUNTIME_PLAYOUT_WARNING

1014: Audio Device Module: A warning occurs in the playback device.

## ◆ WARN_ADM_RUNTIME_RECORDING_WARNING

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_ADM_RUNTIME_RECORDING_WARNING
| static

Initial value:
=
Constants.WARN_ADM_RUNTIME_RECORDING_WARNING

1016: Audio Device Module: A warning occurs in the recording device.

## ◆ WARN_ADM_RECORD_AUDIO_SILENCE

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_ADM_RECORD_AUDIO_SILENCE = Constants.WARN_ADM_RECORD_AUDIO_SILENCE
| static

1019: Audio Device Module: No valid audio data is collected.

## ◆ WARN_ADM_RECORD_IS_OCCUPIED

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_ADM_RECORD_IS_OCCUPIED = Constants.WARN_ADM_RECORD_IS_OCCUPIED
| static

1033: Audio Device Module: The recording device is occupied.

## ◆ WARN_APM_HOWLING

final int io.agora.rtc2.IRtcEngineEventHandler.WarnCode.WARN_APM_HOWLING = Constants.WARN_APM_HOWLING
| static

1051: Audio Device Module: Howling is detected.